﻿.form-field {
  display: flex;
  flex-direction: column;
  gap: 2px;
}

button, input:not([type="radio"]):not([type="checkbox"]) {
  transition: all .3s;
  padding: 8px 16px;
  outline: none;
  appearance: none;
  border: 1px dashed var(--color-primary);
  border-radius: 2px;
  color: var(--color-primary-dark);
  background-color: var(--color-background);
}

input:not([type="radio"]):not([type="checkbox"]) {
  color: var(--color-primary-dark);

  &:focus {
    border-color: var(--color-primary-dark);
    box-shadow: 0 1px 1px var(--color-primary-dark) inset;
    background-color: white;
    border-style: solid;
  }
}

label {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  font-weight: 300;
  color: var(--color-primary);
}

button, input[type='submit'] {
  padding: 12px 16px;
  cursor: pointer;
  border: 1px solid var(--color-primary);
  background-color: var(--color-primary);
  color: var(--color-background);
}

.form-container {
  border-radius: 3px;
  padding: 32px;
  background-color: white;
  box-shadow: rgba(0, 0, 0, 0.2) 0px 2px 6px;
}

span.text-danger {
  font-size: smaller;
}

.form-field:has(.input-validation-error) {
  input:not([type="radio"]):not([type="checkbox"]) {
    border-color: var(--color-danger)
  }
}

.button {
  display: flex;
  justify-content: center;
  gap: 8px;
  align-items: center;
}